edu.wpi.first.wpilibj

## Enum GenericHID.HIDType

- java.lang.Object
- - java.lang.Enum<GenericHID.HIDType>
  - - edu.wpi.first.wpilibj.GenericHID.HIDType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GenericHID.HIDType>
  Enclosing class:
    GenericHID

      public static enum GenericHID.HIDType
      extends java.lang.Enum<GenericHID.HIDType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `kHID1stPerson`
    `kHIDDriving`
    `kHIDFlight`
    `kHIDGamepad`
    `kHIDJoystick`
    `kUnknown`
    `kXInputArcadePad`
    `kXInputArcadeStick`
    `kXInputDancePad`
    `kXInputDrumKit`
    `kXInputFlightStick`
    `kXInputGamepad`
    `kXInputGuitar`
    `kXInputGuitar2`
    `kXInputGuitar3`
    `kXInputUnknown`
    `kXInputWheel`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenericHID.HIDType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GenericHID.HIDType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### kUnknown

          public static final GenericHID.HIDType kUnknown

    - #### kXInputUnknown

          public static final GenericHID.HIDType kXInputUnknown

    - #### kXInputGamepad

          public static final GenericHID.HIDType kXInputGamepad

    - #### kXInputWheel

          public static final GenericHID.HIDType kXInputWheel

    - #### kXInputArcadeStick

          public static final GenericHID.HIDType kXInputArcadeStick

    - #### kXInputFlightStick

          public static final GenericHID.HIDType kXInputFlightStick

    - #### kXInputDancePad

          public static final GenericHID.HIDType kXInputDancePad

    - #### kXInputGuitar

          public static final GenericHID.HIDType kXInputGuitar

    - #### kXInputGuitar2

          public static final GenericHID.HIDType kXInputGuitar2

    - #### kXInputDrumKit

          public static final GenericHID.HIDType kXInputDrumKit

    - #### kXInputGuitar3

          public static final GenericHID.HIDType kXInputGuitar3

    - #### kXInputArcadePad

          public static final GenericHID.HIDType kXInputArcadePad

    - #### kHIDJoystick

          public static final GenericHID.HIDType kHIDJoystick

    - #### kHIDGamepad

          public static final GenericHID.HIDType kHIDGamepad

    - #### kHIDDriving

          public static final GenericHID.HIDType kHIDDriving

    - #### kHIDFlight

          public static final GenericHID.HIDType kHIDFlight

    - #### kHID1stPerson

          public static final GenericHID.HIDType kHID1stPerson

  - ### Field Detail

    - #### value

          public final int value

  - ### Method Detail

    - #### values

          public static GenericHID.HIDType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GenericHID.HIDType c : GenericHID.HIDType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GenericHID.HIDType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null